Description

We have users here missing some very handy Mapinfo digitizing tools. Those tools allow to modify features inside the currently edited

layer, without any need to create new layers and copy-paste.

That would require for some operators to define source and target features (intersect, clip, difference), for others, selection is enough

(buffer). See attached picture to explain what MI does.

This has been discussed some years ago (Anita should remember that) but I couldn't dig that topic out of archives.

Cheers

Régis

History

#1 - 2015-07-08 08:20 AM - Hugo Mercier

I am not sure to understand what targets are.

For unary operators (buffer, simplification), inplace modification would mean to update each (selected) geometry by the result of the operator.

But for binary operators, like intersection, I guess the "target" would be used to specify which of the two arguments should be updated ?

#2 - 2015-07-09 12:08 AM - Regis Haubourg

Yep, you get it. 

In MI : If one want to crop on feature with another feature (from any layer), one must select the cropping object, and define it as the object that will be used

for cropping (selection is then converted to target symbology - a red hashed symbol), then select the feature in the layer you're editing, then apply

operators.

I am not a big fan of MI target / source ergonomy, we could imagine something more clear. Any proposal welcome.

Cheers

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2018-03-03 01:14 PM - Jan Lippmann

- File clip.gif added

I agree with Regis. I and other users missing this tools. specially the clipping tool. there are a qgis plugin which have this clipping functionality, but it has

some limitations (for instance it works not with multipolygons) and at the moment it works not with qgis 3.x.
https://plugins.qgis.org/plugins/clipper/#plugin-about

would a qgis-developer migrate this plugin to qgis core functionality?

i think cofounding from us would be possible. please contact me if there any same interests.

thanks

clip.gif

#5 - 2018-03-13 11:41 AM - Regis Haubourg

- Description updated

A QEP is being discussed here: [[https://github.com/qgis/QGIS-Enhancement-Proposals/issues/114

]]

#6 - 2018-03-13 11:44 AM - Regis Haubourg

Jan, I think that it's the perfect moment to support the work of Alessandro.
